%global     alphatag        20100923
%global     svn_revision    bzr557
%global     gtk2_version    2.18.0
%global     vala_version    0.9.7

# The source for this package was pulled from upstream's cvs.  Use the
# following commands to generate the tarball:
# bzr branch -r 557 lp:valide valide-20100923bzr557
# tar -cJvf valide-20100923bzr557.tar.xz valide-20100923bzr557

Name:           valide
Version:        0.7.0
Release:        7.%{alphatag}%{svn_revision}%{?dist}
Summary:        An integrated development environment (IDE) for the Vala programming language

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.valaide.org
Source0:        %{name}-%{alphatag}%{svn_revision}.tar.xz
Source1:	    valadoc.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  vala-devel >= %{vala_version}
BuildRequires:  sqlite-devel, unique-devel, desktop-file-utils, gtksourceview2-devel, intltool
BuildRequires:  waf, libyaml-devel, libgdl-devel

Requires:       vala-devel >= %{vala_version}
Requires:       vala-tools, vala-doc
Requires:       hicolor-icon-theme

%description
Val(a)IDE is an Integrated Development Environment for the Vala programming
language.

%description -l fr
Val(a)IDE est un Environnement de Développement Intégré pour le langage de
programmation Vala.

%package devel
Summary:        Support for developing plugins for the Val(a)IDE
Group:          Development/Libraries
Requires:       %{name} =  %{version}-%{release}
Requires:       gtk2-devel >= %{gtk2_version}
Requires:       sqlite-devel, unique-devel, gtksourceview2-devel
Requires:       libxml2-devel, libyaml-devel

%description devel
Val(a)IDE is an Integrated Development Environment for the Vala programming
language.
This package allows you to develop plugins that add new functionality to
Val(a)IDE.

%description -l fr devel
Val(a)IDE est un Environnement de Développement Intégré pour le langage de
programmation Vala.
Ce paquet vous permet de développer des plugins pour ajouter de nouvelles
fonctionalités à Val(a)IDE.

%prep
%setup -q -n %{name}-%{alphatag}%{svn_revision}
cp %{SOURCE1} .

%build
CFLAGS="%{optflags}" LINKFLAGS="%{optflags}" waf -v configure --prefix=%{_prefix} --with-libdir=%{_libdir} --debug
waf -vv %{?_smp_mflags}

%install
rm -rf %{buildroot}
echo -e "\n************************************************************\n"
./waf  -vv install --destdir=%{buildroot} --debug
desktop-file-install --vendor=""                \
    --mode 0644                        \
    --dir=%{buildroot}%{_datadir}/applications/        \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
find %{buildroot}%{_libdir} -name *.so -exec chmod 755 {} \;
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
# For dynamical link, shared librairy
/sbin/ldconfig
# Use this because a desktop entry has a 'MimeType key.
update-desktop-database &> /dev/null || :
# update-mime-database
update-mime-database %{_datadir}/mime &> /dev/null || :
# update icon themes
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans
# update icon themes
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
# For dynamical link, shared librairy
/sbin/ldconfig
# Use this because a desktop entry has a 'MimeType key.
update-desktop-database &> /dev/null || :
# update-mime-database
update-mime-database %{_datadir}/mime &> /dev/null || :
# update icon themes
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS TODO AUTHORS
%{_bindir}/ctags-vala
%{_bindir}/valide
%{_libdir}/libvalide-*.so.*
%{_libdir}/valide/
%{_datadir}/pixmaps/valide/
%{_datadir}/vala/vapi/*
%{_datadir}/valide/
%{_datadir}/applications/valide.desktop
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-vide.png
%{_datadir}/mime/packages/x-vide.xml
%{_mandir}/man1/ctags-vala.1.gz
%{_mandir}/man1/valide.1.gz
%files devel
%defattr(-,root,root,-)
%{_includedir}/valide-*/
%{_libdir}/libvalide-*.so

%changelog
* Fri Oct 08 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.7.0-8.20100923bzr557
- Fix spec

* Sat Sep 04 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.7.0-5.20100904svn689
- Update to last revision (689)

* Fri Sep 03 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.7.0-4
- Update to stable release 0.7.0

* Fri Sep 02 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.7-320100901svn686
- Update to revision 686

* Fri Aug 06 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.7-2.20100727svn664
- Update to revision 664 version 0.7

* Thu Jun 01 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.28.20101105svn609
- Minor Fix

* Thu Jun 01 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.27.20101105svn609
- Minor Fix

* Thu Jun 01 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.26.20101105svn609
- Some bug Fixed
- update to new major release 7.0


* Sat May 08 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.25.20100705svn589
- Some bug Fixed
- update to new minor release

* Sun Apr 25 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.24.20101604svn538
- Replace action can be undo
- Fix issue #136

* Wed Apr 16 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.23.20101604svn536
- Bug fix: search widget
- Improve GtkBuilder binding
- Remove duplicate file opening
- Update the GDL binding to 2.30
- Many other bug fix

* Wed Mar 31 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.22.20103003svn511
- Allow plugins configuration
- Update castillan language
- Update french language
- Add advanced search plugins
- Fix crash with vala 7.10
- And other minor bug fixed

* Wed Jan 15 2010 Jonathan MERCIER <bioinfornatics at gmail.com> 0.6.1-0.21.20093012svn488
- Update to the new version 0.6.1

* Mon Oct 19 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.20.20091019svn425
- Bug fix

* Mon Oct 19 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.19.20091019svn425
- Bug fix

* Mon Oct 19 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.18.20091019svn425
- Update valide to revision 425
- Some bug fix

* Tue Sep 01 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.17.20090825svn385
- Update valide to revision 385
- Some bug fix

* Fri Jul 30 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.16.20090726svn303
- Fix the empty debuginfo with a newest option in build section --debug

* Tue Jul 28 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.15.20090726svn303
- Update valide to revision 303
- Add require for devel package

* Mon Jul 20 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.14.20090720svn291
- Update valide to revision 291

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.13.20090713svn280
- Fix changelog

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.12.20090713svn280
- Update to revision 280

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.11.20090713svn278
- fixe changelog

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.10.20090713svn278
- Remove some blank lines

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.9.svn27820090713
- Add %%posttrans section
- Change summary
- Change description
- Add Inttool in BuildEquires
- Change %%{_libdir}/libvalide-*.so.* in %%files of the main package
- Change %%{_libdir}/libvalide-*.so in %%files of the -devel package
- Change %%{_includedir}/valide-0.5/ to %%{_includedir}/valide-*/

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.8.278svn
- Add version the BuildRequires: vala-devel and gtk2-devel

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.7.278svn
- Remove %%{_bindir}/valide in %%post and %%postun section

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.6.278svn
- Remove --add and --remove option in /sbin/ldconfig

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.5.278svn
- Fix %%global variable

* Tue Jul 14 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.4.278svn
- Use revision 278 
- Drop Requires: vala        >= %%{vala_version}
- Drop Requires: vala-devel    >= %%{vala_version}
- BuildRequires in two line
- Add Comment in %%post and %%postun
- Remove some of the empty lines

* Mon Jul 13 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.3.277svn
- Use revision 277 
- Fix spec file

* Sun Jul 11 2009 Jonathan MERCIER <bioinfornatics at gmail.com> 0.5.1-0.2.275svn
- Use revision 275 
- Fix spec file

* Sun Jul 5 2009 nicolas joseph <nicolas.joseph-at-valaide.org> 0.5.1
- Initial Release
